# GpuQuadraticCurveRender::Logic Class Reference

It handles all the logic of the test. Its called by Runner, which act as a controller between Logic and Render. It contains the points, segments and lines of the letters queried. More...

`#include <Logic.h>`

List of all members.

## Public Member Functions
| Logic (void)
| Constructor.
| ~Logic (void)
| Destructor.
void | EnablePoints (void)
| Enable/Disable points showing.
void | EnableLines (void)
| Enable/Disable lines showing.
void | EnableTriangles (void)
| Enable/Disable triangles showing.
bool | ArePointsEnabled (void)
| check if points are enabled
bool | AreLinesEnabled (void)
| check if lines are enabled
bool | AreTrianglesEnabled (void)
| check if triangles are enabled
const std::vector< Point > & | GetQuadraticControlPoints (void) const
| Gets quadratic curve control points.
const std::vector< Line > & | GetQuadraticLines (void) const
| Gets quadratic curve control lines.
const std::vector< int > & | GetQuadraticIndices (void) const
| Gets quadratic curve control indices.
void | SetQuadraticControlPoint (int pointIndex, const Point &point)
| Sets the position of a control point of the curve.
bool | AreQuadraticControlPointsIntersected (const Point &point, int &controlPointIndex, float pointSize)
| checks for a intersection beetwen a point an the control points

## Detailed Description

It handles all the logic of the test. Its called by Runner, which act as a controller between Logic and Render. It contains the points, segments and lines of the letters queried.

## Member Function Documentation

bool Logic::AreQuadraticControlPointsIntersected | ( | const Point & | point,
|  | int & | controlPointIndex,
|  | float | pointSize |
| ) |  |  |

checks for a intersection beetwen a point an the control points

Parameters:

  | point | the point to be checked
  | controlPointIndex | index of the control point intersected (output)
  | pointSixe | size of the point

Returns:
  true if there is a intersection, false otherwise

void Logic::EnableLines | ( | void |  | ) |

Enable/Disable lines showing.

Note:
  Probably this is not the best site for this method

void Logic::EnablePoints | ( | void |  | ) |

Enable/Disable points showing.

Note:
  Probably this is not the best site for this method

void Logic::EnableTriangles | ( | void |  | ) |

Enable/Disable triangles showing.

Note:
  Probably this is not the best site for this method

void Logic::SetQuadraticControlPoint | ( | int | pointIndex,
|  | const Point & | point |
| ) |  |  |

Sets the position of a control point of the curve.

Parameters:

  | pointIndex | the index of the point: 0-2
  | point | the new point

The documentation for this class was generated from the following files:

- src/GpuQuadraticCurveRender/Logic.h
- src/GpuQuadraticCurveRender/Logic.cpp